GET /v1/metrics/{id}
Retrieve a Metric
Get a metric by ID or fully qualified name
GET
GET /v1/metrics/{id}
Retrieve a Metric
Get a metric by its UUID or fully qualified name. Because metrics use a global namespace, the fully qualified name is the metric name.Get by ID
string
required
UUID of the metric to retrieve.
string
Comma-separated fields to include:
owners, reviewers, relatedMetrics, followers, tags, extension, domains, and dataProducts.string
default:"non-deleted"
Include
all, deleted, or non-deleted metrics.string
Per-relation include settings in
field:value form, such as owners:non-deleted,followers:all.Get by Fully Qualified Name
UseGET /v1/metrics/name/{fqn} to retrieve a metric by name.
string
required
Fully qualified name of the metric, such as
customer_retention_rate.fields, include, and includeRelations query parameters are also supported by the name endpoint.
GET /v1/metrics/{id}
Returns
Returns the metric with the requested fields populated.Response
string
Unique metric identifier in UUID format.
string
Globally unique metric name.
string
Fully qualified name. For a metric, this is the same value as
name.object
Expression language and code used to calculate the metric.
string
Type of calculation represented by the metric.
string
Unit used to report the metric value.
string
Time granularity of the metric.
array
Dimensions available for grouping or slicing the metric.
array
Measures used by the metric.
array
Filters applied to the metric calculation.
array
Data assets the metric is calculated from or applies to.
array
Owners included when requested through
fields.array
Reviewers included when requested through
fields.Related metrics included when requested through
fields.array
Domain references included when requested through
fields.array
Data product references included when requested through
fields.number
Current metadata version of the metric.